ViewFunctions.NuevoPacienteFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface ViewFunctions.NuevoPacienteFunctions

- All Known Implementing Classes:
    NuevoPacienteFragment
  Enclosing interface:
    ViewFunctions

      public static interface ViewFunctions.NuevoPacienteFunctions

  Interfaz correspondiente al `Fragment NuevoPacienteFragment`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayErrorDatabase()` Metodo que muestra un mensaje de error cuando se ha intentado introducir un nuevo paciente en la Base de Datos.
    `void` | `displayErrorExistingPatient()` Metodo que muestra un mensaje de error cuando el usuario ha intentado introducir un paciente con el mismo nombre e ID que uno ya existente en la Base de Datos.
    `void` | `displayErrorUser()` Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar un nuevo paciente.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente un paciente en la Base de Datos.

- - ### Method Detail

    - #### displaySuccess

          void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente un paciente en la Base de Datos.

    - #### displayErrorDatabase

          void displayErrorDatabase()

      Metodo que muestra un mensaje de error cuando se ha intentado introducir un nuevo paciente en la Base de Datos.

    - #### displayErrorUser

          void displayErrorUser()

      Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar un nuevo paciente.

    - #### displayErrorExistingPatient

          void displayErrorExistingPatient()

      Metodo que muestra un mensaje de error cuando el usuario ha intentado introducir un paciente con el mismo nombre e ID que uno ya existente en la Base de Datos.